package com.tzld.piaoquan.recommend.server.framework.recaller.provider;

import java.util.List;
import java.util.Map;
import java.util.concurrent.TimeUnit;
import com.tzld.piaoquan.recommend.server.framework.candidiate.Queue;
import com.tzld.piaoquan.recommend.server.framework.candidiate.QueueName;



public interface QueueProvider<T> {

    Queue<T> load(QueueName name) throws Exception;

    Index get(QueueName name) throws Exception;

    Map<QueueName, Queue<T>> loads(List<QueueName> names) throws Exception;

    Map<QueueName, Queue<T>> loads(List<QueueName> names, long timeout, TimeUnit timeUnit) throws Exception;
}
